org.eclipse.actf.model.dom.odf.util.accessibility

## Class AccessibilityFixEngine

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.util.accessibility.AccessibilityFixEngine

    public class AccessibilityFixEngine
    extends Object

Utility class to fix ODF accessibility problems

### Constructor Summary

Constructors
Constructor and Description
`AccessibilityFixEngine()`
`AccessibilityFixEngine(double odfVersion)`

### Method Summary

Methods
`boolean` `fixFormLabel(ODFElement target, String label)`
`boolean` `fixFormTabStop(ODFElement target, boolean tabStop)`
`boolean` `fixLongDesc(ODFElement target, String longDesc)`
`boolean` `fixShortDesc(ODFElement target, String shortDesc)`
`boolean` `fixTableCaption(ODFElement target, String caption)`
`boolean` `fixTableColumnHeader(ODFElement target, int headerNum)`
`boolean` `fixTableRowHeader(ODFElement target, int headerNum)`
`String` `getInvisibleSectionName(ODFElement elem)`
`boolean` `isFormLabelFixCapable(ODFElement target)`
`boolean` `isInvisibleElement(ODFElement elem)`
`boolean` `isProtectedElement(ODFElement target)`
`void` `setSpeakerNotesContent(NotesElement notes, String content)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessibilityFixEngine

    public AccessibilityFixEngine()

#### AccessibilityFixEngine

    public AccessibilityFixEngine(double odfVersion)

### Method Detail

#### fixShortDesc

    public boolean fixShortDesc(ODFElement target,
                       String shortDesc)

#### fixLongDesc

    public boolean fixLongDesc(ODFElement target,
                      String longDesc)

#### fixTableRowHeader

    public boolean fixTableRowHeader(ODFElement target,
                            int headerNum)

#### fixTableColumnHeader

    public boolean fixTableColumnHeader(ODFElement target,
                               int headerNum)

#### fixTableCaption

    public boolean fixTableCaption(ODFElement target,
                          String caption)

#### isFormLabelFixCapable

    public boolean isFormLabelFixCapable(ODFElement target)

#### fixFormLabel

    public boolean fixFormLabel(ODFElement target,
                       String label)

#### fixFormTabStop

    public boolean fixFormTabStop(ODFElement target,
                         boolean tabStop)

#### isInvisibleElement

    public boolean isInvisibleElement(ODFElement elem)

#### getInvisibleSectionName

    public String getInvisibleSectionName(ODFElement elem)

#### isProtectedElement

    public boolean isProtectedElement(ODFElement target)

#### setSpeakerNotesContent

    public void setSpeakerNotesContent(NotesElement notes,
                              String content)